#
# spec file for package whatsie
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           whatsie
Version:        4.16.3
Release:        1.3
Summary:        Feature rich WhatsApp Client for Desktop Linux
License:        MIT
URL:            https://github.com/keshavbhatt/whatsie
Source:         https://github.com/keshavbhatt/whatsie/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Location)
BuildRequires:  pkgconfig(Qt5Positioning)
BuildRequires:  pkgconfig(Qt5PositioningQuick)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickTest)
BuildRequires:  pkgconfig(Qt5QuickWidgets)
BuildRequires:  pkgconfig(Qt5WebChannel)
BuildRequires:  pkgconfig(Qt5WebEngine)
BuildRequires:  pkgconfig(Qt5WebEngineCore)
BuildRequires:  pkgconfig(Qt5WebEngineWidgets)

%description
Feature rich WhatsApp Client for Desktop Linux.

%prep
%autosetup

%build
%qmake5 src
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/whatsie
%{_datadir}/applications/com.ktechpit.whatsie.desktop
%{_datadir}/icons/hicolor/???x???/apps/com.ktechpit.whatsie.png
%{_datadir}/icons/hicolor/??x??/apps/com.ktechpit.whatsie.png
%{_datadir}/icons/hicolor/scalable/apps/com.ktechpit.whatsie.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.ktechpit.whatsie-symbolic.svg
%{_datadir}/metainfo/com.ktechpit.whatsie.appdata.xml
%dir %{_datadir}/org.keshavnrj.ubuntu
%dir %{_datadir}/org.keshavnrj.ubuntu/WhatSie/
%dir %{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries
%{_datadir}/org.keshavnrj.ubuntu/WhatSie/qtwebengine_dictionaries/*.bdic

%changelog
* Wed Nov 27 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.16.3:
  * prevent crashes due to custom notification (dde6e02)
* Sat Oct 26 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.16.2:
  * Improve notification handling (971820f)
* Sun Oct 20 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.16.1:
  * Notification issue on gnome shell + minor improvements (#202) (86f27b9)
* Wed Oct  9 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.16.0:
  Feature:
  * Add secure compilation flags (4720ffe)
  Bug Fixes:
  * change zoom factor when app starts minimized in systray (be47a73)
  * set QTWEBENGINE_DICTIONARIES_PATH to fix spell checker (#199) (40da519)
* Wed Sep 18 2024 Giacomo Comes <gcomes.obs@gmail.com>
- add macro %%make_build in the %%build section
  * let the build happen in the %%build section using parallel build
* Mon Sep 16 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.15.5:
  * bump version and update metadata (3ad375a)
  * update screenshot (93b98cb)
* Fri Aug  2 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.15.3:
  * bump version 4.15.3 (5afb839)
* Fri Aug  2 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.15.2:
  * chore: update svg icon text object to path
* Fri Aug  2 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.15.1:
  * revert to build action Qt to version 5.15.2 (bbccc55)
  * bump version 4.15.1 (d874692)
  * update dist icon (d0304ad)
  * new icon (f54e608)
  * update notification icons (2718a85)
  * add new keywords to appdata (4e803bf)
  * update appstream metadata for 4.15.0 release (a535ee1)
  * do not mark statusCode unused in desktopOpenUrl util method (51e2823)
  * udapte CHANGELOG (5940b6e)
* Sun May 26 2024 Michael Vetter <mvetter@suse.com>
- Update to 4.15.0:
  Feature:
  * efficient use of element mutation observers (e553c00)
  * add line widget at bottom of cutom notification widget (0d19713)
  * use xdg-open as fallback to open local files (3092158)
  Bug Fixes:
  * restore window state video fullscreen toggle (e0483dd)
  * prioritize xdg-open for handling openUrl request (36cd46b)
  * set correct lock state when app starts minimized (b58d942)
  Chores:
  * CI Update Qt version to 5.15.4 for build (e030486)
  * update UA to latest Chrome (cc2852a)
  * snap use portal if available (8cef204)
  * version 4.15 (08fba4c)
* Fri Dec  1 2023 Michael Vetter <mvetter@suse.com>
- Update to 4.14.2:
  * Fix incorrect full width modification (#150) (3d20ebe)
* Thu Oct 19 2023 Michael Vetter <jubalh@iodoru.org>
- Use qmake macro and pkgconfig
* Mon Sep 25 2023 Michael Vetter <mvetter@suse.com>
- Initial package of whatsie 4.14.1 for openSUSE
